TONEGEN(1)

NAME
tonegen - Test the Voicetronix programmable tone generator

SYNOPSIS
tonegen [options]

DESCRIPTION
The tonegen utility uses the programmable tone generator to send tones to some port.

OPTIONS
The following options are available:

--card number
    Explicitly select the card to test. Default is card 0.

--port number
    Explicitly select the port to test. Default is port 0 of the card being tested.

--toneid num
    Play a locale specific predefined tone, where 0 <= num < VPB_TONE_ID_MAX. The locale is decided according to the value of the VPB_COUNTRY environment variable.

--tone n freq mag
    Set a single component for a user defined tone. This option may be used more than once with different values of n to set the components of a multi-frequency tone. Legal values for the other parameters are 0 < freq <= 4000 (Hz), and -inf < mag < 0.0 (dB).

--ontime ms
    The number of milliseconds that a user defined tone should be on for.

--offtime ms
    The number of milliseconds that a user defined tone should be off for.

--dial digits
    Generates a dial string using the specified dtmf digits.

--sync
    Play tones using the synchronous api functions. The default is to use the async api.

--loop
    Loop cadenced tones continuously. Has no effect if a continuous tone has been specified.

--recgain db
    Set software record gain in dB. Default is 0.0

--rec file
    Record audio to a file while playing.

--contest
    Do not wait for a tone to complete before starting the next one. This can be useful for stress testing the coherency of the tone generator.

--help, -?
    Show summary of these options.

AUTHOR
Ron Lee, Voicetronix <support@voicetronix.com.au>

This manual page was written by Ron <ron@debian.org>, for the Debian project (but may be used by others).